CREATE DATABASE  IF NOT EXISTS `fahrradvermietung_2013` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `fahrradvermietung_2013`;
-- MySQL dump 10.13  Distrib 5.1.40, for Win32 (ia32)
--
-- Host: localhost    Database: fahrradvermietung_2013
-- ------------------------------------------------------
-- Server version	5.5.25a

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `fahrradarten`
--

DROP TABLE IF EXISTS `fahrradarten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fahrradarten` (
  `artnr` int(11) NOT NULL,
  `bezeichnung` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`artnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fahrradarten`
--

LOCK TABLES `fahrradarten` WRITE;
/*!40000 ALTER TABLE `fahrradarten` DISABLE KEYS */;
/*!40000 ALTER TABLE `fahrradarten` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modelle`
--

DROP TABLE IF EXISTS `modelle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `modelle` (
  `modellnr` int(11) NOT NULL,
  `bezeichnung` varchar(50) DEFAULT NULL,
  `tagesmietpreis` double DEFAULT NULL,
  `artnr` int(11) NOT NULL,
  `herstellernr` int(11) NOT NULL,
  PRIMARY KEY (`modellnr`),
  KEY `fk_bezeichnungen_fahrradarten1` (`artnr`),
  KEY `fk_bezeichnungen_hersteller1` (`herstellernr`),
  CONSTRAINT `fk_bezeichnungen_fahrradarten1` FOREIGN KEY (`artnr`) REFERENCES `fahrradarten` (`artnr`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_bezeichnungen_hersteller1` FOREIGN KEY (`herstellernr`) REFERENCES `hersteller` (`herstellernr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `modelle`
--

LOCK TABLES `modelle` WRITE;
/*!40000 ALTER TABLE `modelle` DISABLE KEYS */;
/*!40000 ALTER TABLE `modelle` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fahrraeder`
--

DROP TABLE IF EXISTS `fahrraeder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fahrraeder` (
  `fahrradnr` int(11) NOT NULL,
  `rahmennr` varchar(10) DEFAULT NULL,
  `anschaffungswert` double DEFAULT NULL,
  `kaufdatum` date NOT NULL,
  `modellnr` int(11) NOT NULL,
  PRIMARY KEY (`fahrradnr`),
  KEY `fk_fahrraeder_bezeichnungen1` (`modellnr`),
  CONSTRAINT `fk_fahrraeder_bezeichnungen1` FOREIGN KEY (`modellnr`) REFERENCES `modelle` (`modellnr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fahrraeder`
--

LOCK TABLES `fahrraeder` WRITE;
/*!40000 ALTER TABLE `fahrraeder` DISABLE KEYS */;
/*!40000 ALTER TABLE `fahrraeder` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hersteller`
--

DROP TABLE IF EXISTS `hersteller`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hersteller` (
  `herstellernr` int(11) NOT NULL,
  `herstellername` varchar(30) DEFAULT NULL,
  `portal` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`herstellernr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hersteller`
--

LOCK TABLES `hersteller` WRITE;
/*!40000 ALTER TABLE `hersteller` DISABLE KEYS */;
/*!40000 ALTER TABLE `hersteller` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-10-10 11:47:58
