CREATE DATABASE  IF NOT EXISTS `tanken_2013` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `tanken_2013`;
-- MySQL dump 10.13  Distrib 5.1.40, for Win32 (ia32)
--
-- Host: localhost    Database: tanken_2013
-- ------------------------------------------------------
-- Server version	5.0.51a

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Table structure for table `typen`
--

DROP TABLE IF EXISTS `typen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `typen` (
  `typnr` int(11) NOT NULL,
  `bezeichnung` varchar(45) default NULL,
  `markennr` int(11) NOT NULL,
  PRIMARY KEY  (`typnr`),
  KEY `fk_typen_marken1` (`markennr`),
  CONSTRAINT `fk_typen_marken1` FOREIGN KEY (`markennr`) REFERENCES `marken` (`markennr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `typen`
--

LOCK TABLES `typen` WRITE;
/*!40000 ALTER TABLE `typen` DISABLE KEYS */;
INSERT INTO `typen` VALUES (1,'A3 TDI',1),(2,'Passat 2.0',2);
/*!40000 ALTER TABLE `typen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `marken`
--

DROP TABLE IF EXISTS `marken`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `marken` (
  `markennr` int(11) NOT NULL,
  `bezeichnung` varchar(45) default NULL,
  PRIMARY KEY  (`markennr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `marken`
--

LOCK TABLES `marken` WRITE;
/*!40000 ALTER TABLE `marken` DISABLE KEYS */;
INSERT INTO `marken` VALUES (1,'Audi'),(2,'VW');
/*!40000 ALTER TABLE `marken` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mitarbeiter`
--

DROP TABLE IF EXISTS `mitarbeiter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mitarbeiter` (
  `mitarbeiternr` int(11) NOT NULL,
  `name` varchar(45) default NULL,
  `vorname` varchar(45) default NULL,
  `gehalt` double default NULL,
  `ortnr` int(11) NOT NULL,
  PRIMARY KEY  (`mitarbeiternr`),
  KEY `fk_mitarbeiter_orte1` (`ortnr`),
  CONSTRAINT `fk_mitarbeiter_orte1` FOREIGN KEY (`ortnr`) REFERENCES `orte` (`ortnr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mitarbeiter`
--

LOCK TABLES `mitarbeiter` WRITE;
/*!40000 ALTER TABLE `mitarbeiter` DISABLE KEYS */;
INSERT INTO `mitarbeiter` VALUES (1,'Maier','Heinz',2900,2),(2,'Schmidt','Fritz',2850,1),(3,'Wurst','Willi',3150,1);
/*!40000 ALTER TABLE `mitarbeiter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `belege`
--

DROP TABLE IF EXISTS `belege`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `belege` (
  `belegnr` int(11) NOT NULL,
  `datum` date default NULL,
  `betrag` double default NULL,
  `autonr` int(11) NOT NULL,
  `tankstellennr` int(11) NOT NULL,
  `mitarbeiternr` int(11) NOT NULL,
  PRIMARY KEY  (`belegnr`),
  KEY `fk_belege_autos1` (`autonr`),
  KEY `fk_belege_tankstellen1` (`tankstellennr`),
  KEY `fk_belege_mitarbeiter1` (`mitarbeiternr`),
  CONSTRAINT `fk_belege_autos1` FOREIGN KEY (`autonr`) REFERENCES `autos` (`autonr`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_belege_mitarbeiter1` FOREIGN KEY (`mitarbeiternr`) REFERENCES `mitarbeiter` (`mitarbeiternr`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_belege_tankstellen1` FOREIGN KEY (`tankstellennr`) REFERENCES `tankstellen` (`tankstellennr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `belege`
--

LOCK TABLES `belege` WRITE;
/*!40000 ALTER TABLE `belege` DISABLE KEYS */;
INSERT INTO `belege` VALUES (17,'2013-03-02',60.5,1,1,1),(18,'2013-03-03',50.9,2,2,2),(19,'2013-03-04',75.5,3,1,3),(20,'2013-03-05',87.5,1,3,1),(21,'2013-03-06',85.3,3,2,1),(22,'2013-04-06',50,3,2,1);
/*!40000 ALTER TABLE `belege` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tankstellenmarken`
--

DROP TABLE IF EXISTS `tankstellenmarken`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tankstellenmarken` (
  `tankstellenmarkennr` int(11) NOT NULL,
  `bezeichnung` varchar(45) default NULL,
  PRIMARY KEY  (`tankstellenmarkennr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tankstellenmarken`
--

LOCK TABLES `tankstellenmarken` WRITE;
/*!40000 ALTER TABLE `tankstellenmarken` DISABLE KEYS */;
INSERT INTO `tankstellenmarken` VALUES (1,'Shell'),(2,'Esso'),(3,'Total');
/*!40000 ALTER TABLE `tankstellenmarken` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `autos`
--

DROP TABLE IF EXISTS `autos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `autos` (
  `autonr` int(11) NOT NULL,
  `kennzeichen` varchar(45) default NULL,
  `anschafungsdatum` date default NULL,
  `typnr` int(11) NOT NULL,
  PRIMARY KEY  (`autonr`),
  KEY `fk_autos_typen1` (`typnr`),
  CONSTRAINT `fk_autos_typen1` FOREIGN KEY (`typnr`) REFERENCES `typen` (`typnr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `autos`
--

LOCK TABLES `autos` WRITE;
/*!40000 ALTER TABLE `autos` DISABLE KEYS */;
INSERT INTO `autos` VALUES (1,'BB-WE-23','2007-10-02',1),(2,'BB-RQ-22','2008-06-03',2),(3,'BB-TE-91','2007-11-25',2);
/*!40000 ALTER TABLE `autos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orte`
--

DROP TABLE IF EXISTS `orte`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orte` (
  `ortnr` int(11) NOT NULL,
  `plz` varchar(45) default NULL,
  `ort` varchar(45) default NULL,
  PRIMARY KEY  (`ortnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orte`
--

LOCK TABLES `orte` WRITE;
/*!40000 ALTER TABLE `orte` DISABLE KEYS */;
INSERT INTO `orte` VALUES (1,'71032','Böblingen'),(2,'72072','Tübingen'),(3,'73234','Ehningen');
/*!40000 ALTER TABLE `orte` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tankstellen`
--

DROP TABLE IF EXISTS `tankstellen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tankstellen` (
  `tankstellennr` int(11) NOT NULL,
  `tankstellenmarkennr` int(11) NOT NULL,
  `ortnr` int(11) NOT NULL,
  PRIMARY KEY  (`tankstellennr`),
  KEY `fk_tankstellen_tankstellenmarken1` (`tankstellenmarkennr`),
  KEY `fk_tankstellen_orte1` (`ortnr`),
  CONSTRAINT `fk_tankstellen_orte1` FOREIGN KEY (`ortnr`) REFERENCES `orte` (`ortnr`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_tankstellen_tankstellenmarken1` FOREIGN KEY (`tankstellenmarkennr`) REFERENCES `tankstellenmarken` (`tankstellenmarkennr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tankstellen`
--

LOCK TABLES `tankstellen` WRITE;
/*!40000 ALTER TABLE `tankstellen` DISABLE KEYS */;
INSERT INTO `tankstellen` VALUES (1,1,1),(2,2,2),(3,3,3);
/*!40000 ALTER TABLE `tankstellen` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-04-26 10:02:30
