CREATE DATABASE  IF NOT EXISTS `vhs_2013` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `vhs_2013`;
-- MySQL dump 10.13  Distrib 5.1.40, for Win32 (ia32)
--
-- Host: localhost    Database: vhs_2013
-- ------------------------------------------------------
-- Server version	5.0.51a

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Table structure for table `raeume`
--

DROP TABLE IF EXISTS `raeume`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `raeume` (
  `raumnummer` int(11) NOT NULL,
  `bezeichnung` varchar(45) default NULL,
  `plaetze` int(11) default NULL,
  PRIMARY KEY  (`raumnummer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `dozenten`
--

DROP TABLE IF EXISTS `dozenten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dozenten` (
  `dozentennummer` int(11) NOT NULL,
  `name` varchar(45) default NULL,
  `vorname` varchar(45) default NULL,
  `strasse` varchar(45) default NULL,
  `ortnummer` int(11) NOT NULL,
  PRIMARY KEY  (`dozentennummer`),
  KEY `fk_dozenten_orte1` (`ortnummer`),
  CONSTRAINT `fk_dozenten_orte1` FOREIGN KEY (`ortnummer`) REFERENCES `orte` (`ortnummer`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `belegungen`
--

DROP TABLE IF EXISTS `belegungen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `belegungen` (
  `belegungsnummer` int(11) NOT NULL,
  `bezahlt` tinyint(4) default NULL,
  `kursnummer` int(11) NOT NULL,
  `teilnehmernummer` int(11) NOT NULL,
  PRIMARY KEY  (`belegungsnummer`),
  KEY `fk_belegung_kurse` (`kursnummer`),
  KEY `fk_belegung_teilnehmer1` (`teilnehmernummer`),
  CONSTRAINT `fk_belegung_kurse` FOREIGN KEY (`kursnummer`) REFERENCES `kurse` (`kursnummer`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_belegung_teilnehmer1` FOREIGN KEY (`teilnehmernummer`) REFERENCES `teilnehmer` (`teilnehmernummer`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `orte`
--

DROP TABLE IF EXISTS `orte`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orte` (
  `ortnummer` int(11) NOT NULL,
  `plz` varchar(45) default NULL,
  `ort` varchar(45) default NULL,
  PRIMARY KEY  (`ortnummer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `kurse`
--

DROP TABLE IF EXISTS `kurse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kurse` (
  `kursnummer` int(11) NOT NULL,
  `bezeichnung` varchar(45) default NULL,
  `gebuehr` double default NULL,
  `raumnummer` int(11) NOT NULL,
  `dozentennummer` int(11) default NULL,
  PRIMARY KEY  (`kursnummer`),
  KEY `fk_kurse_raeume1` (`raumnummer`),
  KEY `fk` (`dozentennummer`),
  CONSTRAINT `fk` FOREIGN KEY (`dozentennummer`) REFERENCES `dozenten` (`dozentennummer`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_kurse_raeume1` FOREIGN KEY (`raumnummer`) REFERENCES `raeume` (`raumnummer`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `teilnehmer`
--

DROP TABLE IF EXISTS `teilnehmer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `teilnehmer` (
  `teilnehmernummer` int(11) NOT NULL,
  `name` varchar(45) default NULL,
  `vorname` varchar(45) default NULL,
  `strasse` varchar(45) default NULL,
  `ortnummer` int(11) NOT NULL,
  PRIMARY KEY  (`teilnehmernummer`),
  KEY `fk_teilnehmer_orte1` (`ortnummer`),
  CONSTRAINT `fk_teilnehmer_orte1` FOREIGN KEY (`ortnummer`) REFERENCES `orte` (`ortnummer`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-05-02 15:19:32
