CREATE DATABASE  IF NOT EXISTS `vhs_2013` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `vhs_2013`;
-- MySQL dump 10.13  Distrib 5.1.40, for Win32 (ia32)
--
-- Host: localhost    Database: vhs_2013
-- ------------------------------------------------------
-- Server version	5.0.51a

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Table structure for table `raeume`
--

DROP TABLE IF EXISTS `raeume`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `raeume` (
  `raumnummer` int(11) NOT NULL,
  `bezeichnung` varchar(45) default NULL,
  `plaetze` int(11) default NULL,
  PRIMARY KEY  (`raumnummer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `raeume`
--

LOCK TABLES `raeume` WRITE;
/*!40000 ALTER TABLE `raeume` DISABLE KEYS */;
INSERT INTO `raeume` VALUES (1,'PC-Saal',18),(2,'PC-Saal',12),(3,'Kursraum',30),(4,'Kursraum',40),(5,'Kursraum',60),(6,'Gruppenraum 1',8),(7,'Gruppenraum 2',10),(8,'Gruppenraum 3',12),(9,'Gruppenraum 4',6);
/*!40000 ALTER TABLE `raeume` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dozenten`
--

DROP TABLE IF EXISTS `dozenten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dozenten` (
  `dozentennummer` int(11) NOT NULL,
  `name` varchar(45) default NULL,
  `vorname` varchar(45) default NULL,
  `strasse` varchar(45) default NULL,
  `ortnummer` int(11) NOT NULL,
  `anrede` varchar(45) default NULL,
  PRIMARY KEY  (`dozentennummer`),
  KEY `fk_dozenten_orte1` (`ortnummer`),
  CONSTRAINT `fk_dozenten_orte1` FOREIGN KEY (`ortnummer`) REFERENCES `orte` (`ortnummer`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dozenten`
--

LOCK TABLES `dozenten` WRITE;
/*!40000 ALTER TABLE `dozenten` DISABLE KEYS */;
INSERT INTO `dozenten` VALUES (1,'Flop','Freddy','Hauptstr. 16',1,'Herr'),(2,'Heidenei','Heidi','Mozartstr. 67',3,'Frau'),(3,'Schäfer','Karl','Waldweg 5',4,'Herr'),(4,'Spät','Fritz','Bienenweg 99',2,'Herr'),(5,'Schlau','Kerstin','Heinestr. 76',1,'Frau'),(6,'Husch','Heike','Birkenallee 43',2,'Frau'),(7,'Fröhlich','Bernd','Wiesweg 6',3,'Herr'),(8,'Kurz','Karl','Waldstr. 32',4,'Herr'),(9,'Schwarz','Chrisl','Höllenweg 99',4,'Frau');
/*!40000 ALTER TABLE `dozenten` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `belegungen`
--

DROP TABLE IF EXISTS `belegungen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `belegungen` (
  `belegungsnummer` int(11) NOT NULL,
  `bezahlt` tinyint(4) default NULL,
  `kursnummer` int(11) NOT NULL,
  `teilnehmernummer` int(11) NOT NULL,
  PRIMARY KEY  (`belegungsnummer`),
  KEY `fk_belegung_kurse` (`kursnummer`),
  KEY `fk_belegung_teilnehmer1` (`teilnehmernummer`),
  CONSTRAINT `fk_belegung_kurse` FOREIGN KEY (`kursnummer`) REFERENCES `kurse` (`kursnummer`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_belegung_teilnehmer1` FOREIGN KEY (`teilnehmernummer`) REFERENCES `teilnehmer` (`teilnehmernummer`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `belegungen`
--

LOCK TABLES `belegungen` WRITE;
/*!40000 ALTER TABLE `belegungen` DISABLE KEYS */;
INSERT INTO `belegungen` VALUES (1,0,200,1),(2,0,200,2),(3,0,200,3),(4,1,200,4),(5,0,210,11),(6,1,210,12),(7,1,260,12),(8,1,260,12),(9,1,205,12);
/*!40000 ALTER TABLE `belegungen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orte`
--

DROP TABLE IF EXISTS `orte`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orte` (
  `ortnummer` int(11) NOT NULL,
  `plz` varchar(45) default NULL,
  `ort` varchar(45) default NULL,
  PRIMARY KEY  (`ortnummer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orte`
--

LOCK TABLES `orte` WRITE;
/*!40000 ALTER TABLE `orte` DISABLE KEYS */;
INSERT INTO `orte` VALUES (1,'71034','Böblingen'),(2,'71032','Böblingen'),(3,'71065','Sindelfingen'),(4,'71067','Sindelfingen');
/*!40000 ALTER TABLE `orte` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kurse`
--

DROP TABLE IF EXISTS `kurse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kurse` (
  `kursnummer` int(11) NOT NULL,
  `bezeichnung` varchar(45) default NULL,
  `gebuehr` double default NULL,
  `raumnummer` int(11) NOT NULL,
  `dozentennummer` int(11) default NULL,
  PRIMARY KEY  (`kursnummer`),
  KEY `fk_kurse_raeume1` (`raumnummer`),
  KEY `fk` (`dozentennummer`),
  CONSTRAINT `fk` FOREIGN KEY (`dozentennummer`) REFERENCES `dozenten` (`dozentennummer`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_kurse_raeume1` FOREIGN KEY (`raumnummer`) REFERENCES `raeume` (`raumnummer`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `kurse`
--

LOCK TABLES `kurse` WRITE;
/*!40000 ALTER TABLE `kurse` DISABLE KEYS */;
INSERT INTO `kurse` VALUES (145,'Wechseljahre',50,2,1),(200,'Tabellenkalkulation',168,4,2),(205,'Textverarbeitung',25,4,2),(210,'Präsentation',168,3,2),(260,'Kräuterwanderung',12,1,3),(310,'Office 7 - Grundlagen',111,4,4),(311,'Erste Hilfe bei Kindernot',39.5,8,5),(315,'Mit allen Sinnen entspannen',26,6,6),(410,'Umstieg auf Office 2013',95.5,3,2);
/*!40000 ALTER TABLE `kurse` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teilnehmer`
--

DROP TABLE IF EXISTS `teilnehmer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `teilnehmer` (
  `teilnehmernummer` int(11) NOT NULL,
  `name` varchar(45) default NULL,
  `vorname` varchar(45) default NULL,
  `strasse` varchar(45) default NULL,
  `ortnummer` int(11) NOT NULL,
  `anrede` varchar(45) default NULL,
  PRIMARY KEY  (`teilnehmernummer`),
  KEY `fk_teilnehmer_orte1` (`ortnummer`),
  CONSTRAINT `fk_teilnehmer_orte1` FOREIGN KEY (`ortnummer`) REFERENCES `orte` (`ortnummer`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teilnehmer`
--

LOCK TABLES `teilnehmer` WRITE;
/*!40000 ALTER TABLE `teilnehmer` DISABLE KEYS */;
INSERT INTO `teilnehmer` VALUES (1,'Schneider','Heinrich','Goethestraße 25',1,'Herr'),(2,'Schlauch','Franz','Ulmer Weg 56',2,'Herr'),(3,'Schlauch','Franziska','Ulmer Weg 56',2,'Frau'),(4,'Böckle','Jennifer','Hermann-Hesse-Str. 3',3,'Frau'),(5,'Hauffe','Johann','Seestraße 21',2,'Herr'),(6,'Yilmaz','Ali','Wehrstraße 87',1,'Herr'),(7,'Berger','Johann','Vaihinger Str. 103',4,'Herr'),(8,'Schweizer','Anton','Schillingstraße 18',3,'Herr'),(9,'Lambert','Hans','Mohrengässle 7',2,'Herr'),(10,'Amann','Heinz','Ufergasse 3',1,'Herr'),(11,'Grau','Carla','Karlstraße 23',3,'Frau'),(12,'Freud','Hans','Poststraße 47',1,'Herr'),(13,'Ilg','Fritz','Stuttgarter Straße 33',3,'Herr'),(14,'Heim','Heidi','Parkstraße 1',2,'Frau'),(15,'Kurz','Helmut','Badstraße 2',1,'Herr'),(16,'Mann','Elli','Poststraße 33',4,'Frau'),(17,'Hartmann','Klaus','Stadtgrabenstraße 53',1,'Herr'),(18,'Schulz','Oliver','Bahnhofsstraße 43',1,'Herr'),(19,'Schmid','Klaus','Herrenberger Straße 57',3,'Herr'),(20,'Rau','Erika','Am Käppele 7',4,'Frau');
/*!40000 ALTER TABLE `teilnehmer` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-07-11 11:07:27
