CREATE DATABASE  IF NOT EXISTS `fahrradvermietung_2013` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `fahrradvermietung_2013`;
-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: 127.0.0.1    Database: fahrradvermietung_2013
-- ------------------------------------------------------
-- Server version	5.1.41

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;



--
-- Table structure for table `fahrradarten`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE  TABLE IF NOT EXISTS `fahrradvermietung_2013`.`fahrradarten` ( 
  `artnr` int NOT NULL,
  `bezeichnung` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`artnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

UNLOCK TABLES;



--
-- Table structure for table `hersteller`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE  TABLE IF NOT EXISTS `fahrradvermietung_2013`.`hersteller` (
  `herstellernr` int NOT NULL,
  `herstellername` varchar(30) DEFAULT NULL,
  `portal` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`herstellernr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

UNLOCK TABLES;



--
-- Table structure for table `bezeichnungen`
--

CREATE  TABLE IF NOT EXISTS `fahrradvermietung_2013`.`modelle` ( 
  `modellnr` int(11) NOT NULL,
  `bezeichnung` varchar(50) DEFAULT NULL,
  `tagesmietpreis` double DEFAULT NULL,
  `artnr` int(11) NOT NULL,
  `herstellernr` int(11) NOT NULL,
  PRIMARY KEY (`modellnr`),
  KEY `fk_modelle_fahrradarten1` (`artnr`),
  KEY `fk_modelle_hersteller1` (`herstellernr`),
  CONSTRAINT `fk_modelle_fahrradarten1` FOREIGN KEY (`artnr`) REFERENCES `fahrradarten` (`artnr`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_modelle_hersteller1` FOREIGN KEY (`herstellernr`) REFERENCES `hersteller` (`herstellernr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40101 SET character_set_client = @saved_cs_client */;

UNLOCK TABLES;




--
-- Table structure for table `fahrraeder`
--


/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE  TABLE IF NOT EXISTS `fahrradvermietung_2013`.`fahrraeder` ( 
  `fahrradnr` int(11) NOT NULL,
  `rahmennr` varchar(10) DEFAULT NULL,
  `anschaffungswert` double DEFAULT NULL,
  `kaufdatum` date NOT NULL,
  `modellnr` int(11) NOT NULL,
  PRIMARY KEY (`fahrradnr`),
  KEY `fk_fahrraeder_modelle1` (`modellnr`),
  CONSTRAINT `fk_fahrraeder_modelle1` FOREIGN KEY (`modellnr`) REFERENCES `modelle` (`modellnr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40101 SET character_set_client = @saved_cs_client */;

UNLOCK TABLES;




--
-- Table structure for table `orte`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE  TABLE IF NOT EXISTS `fahrradvermietung_2013`.`orte` ( 
  `ortnr` int NOT NULL,
  `plz` varchar(5) DEFAULT NULL,
  `ort` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`ortnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

UNLOCK TABLES;

--
-- Table structure for table `kunden`
--

--
-- Table structure for table `kunden`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE  TABLE IF NOT EXISTS `fahrradvermietung_2013`.`kunden` ( 
  `kundennr` int NOT NULL,
  `name` varchar(30) DEFAULT NULL,
  `vorname` varchar(30) DEFAULT NULL,
  `strasse` varchar(30) DEFAULT NULL,
  `ortnr` int NOT NULL,
  PRIMARY KEY (`kundennr`),
  KEY `fk_kunden_orte_idx` (`ortnr`),
  CONSTRAINT `fk_kunden_orte` FOREIGN KEY (`ortnr`) REFERENCES `orte` (`ortnr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

UNLOCK TABLES;


--
-- Table structure for table `vermietungen`
--

DROP TABLE IF EXISTS `vermietungen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vermietungen` (
  `vermietnr` int(11) NOT NULL,
  `von` date DEFAULT NULL,
  `bis` date DEFAULT NULL,
  `kundennr` int(11) NOT NULL,
  PRIMARY KEY (`vermietnr`),
  KEY `fk_vermietungen_kunden1_idx` (`kundennr`),
  CONSTRAINT `fk_vermietungen_kunden1` FOREIGN KEY (`kundennr`) REFERENCES `kunden` (`kundennr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;



--
-- Table structure for table `vermietungspositionen`
--

CREATE  TABLE IF NOT EXISTS `vermietungspositionen` (
  `vermietungspositionennr` INT NOT NULL ,
  `vermietnr` INT NOT NULL ,
  `fahrradnr` INT NOT NULL ,
  PRIMARY KEY (`vermietungspositionennr`) ,
  INDEX `fk_vermietungspositionen_vermietungen_idx` (`vermietnr` ASC) ,
  INDEX `fk_vermietungspositionen_fahrraeder1_idx` (`fahrradnr` ASC) ,
  CONSTRAINT `fk_vermietungspositionen_vermietungen`
    FOREIGN KEY (`vermietnr` )
    REFERENCES `vermietungen` (`vermietnr` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_vermietungspositionen_fahrraeder1`
    FOREIGN KEY (`fahrradnr` )
    REFERENCES `fahrraeder` (`fahrradnr` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;

/*!40101 SET character_set_client = @saved_cs_client */;


/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-09-14 17:49:38
